dpkg: error processing archive

Asked by arun on 2021-01-13

I have tried everything in at this question https://answers.launchpad.net/ubuntu/+source/linux-firmware/+question/693177
When I am doing sudo apt-get upgrade I am getting the following.
sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  firefox thunderbird thunderbird-gnome-support
The following packages will be upgraded:
  firefox-locale-en google-chrome-stable teamviewer
3 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
Need to get 0 B/92.6 MB of archives.
After this operation, 35.4 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
dpkg-deb: error: archive '/var/cache/apt/archives/google-chrome-stable_87.0.4280.141-1_amd64.deb' has premature member 'control.tar.xz' before 'control.tar.gz', giving up
dpkg: error processing archive /var/cache/apt/archives/google-chrome-stable_87.0.4280.141-1_amd64.deb (--unpack):
 subprocess dpkg-deb --control returned error exit status 2
dpkg-deb: error: archive '/var/cache/apt/archives/firefox-locale-en_84.0.2+build1-0ubuntu0.18.04.1_amd64.deb' has premature member 'control.tar.xz' before 'control.tar.gz', giving up
dpkg: error processing archive /var/cache/apt/archives/firefox-locale-en_84.0.2+build1-0ubuntu0.18.04.1_amd64.deb (--unpack):
 subprocess dpkg-deb --control returned error exit status 2
dpkg-deb: error: archive '/var/cache/apt/archives/teamviewer_15.13.6_amd64.deb' has premature member 'control.tar.xz' before 'control.tar.gz', giving up
dpkg: error processing archive /var/cache/apt/archives/teamviewer_15.13.6_amd64.deb (--unpack):
 subprocess dpkg-deb --control returned error exit status 2
Errors were encountered while processing:
 /var/cache/apt/archives/google-chrome-stable_87.0.4280.141-1_amd64.deb
 /var/cache/apt/archives/firefox-locale-en_84.0.2+build1-0ubuntu0.18.04.1_amd64.deb
 /var/cache/apt/archives/teamviewer_15.13.6_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Solved by:
arun
Solved:
2021-01-15
Last query:
2021-01-15
Last reply:
2021-01-15
Manfred Hampl (m-hampl) said : #1

There seems to be a problem with the *.deb files for google chrome, firefox and teamviewer (most probably coming from a foreign source). I suggest to delete them, which will cause a new download from the web.

What output do you receive for the following commands:

sudo rm -v /var/cache/apt/archives/google-chrome-stable_*.deb
sudo rm -v /var/cache/apt/archives/firefox-locale-en_*.deb
sudo rm -v /var/cache/apt/archives/teamviewer_*.deb
uname -a
lsb_release -crid
dpkg-deb --version
sudo apt update
sudo apt upgrade

arun (arunwebber) said : #2

sudo rm -v /var/cache/apt/archives/google-chrome-stable_*.deb
[sudo] password for arun:
removed ‘/var/cache/apt/archives/google-chrome-stable_87.0.4280.141-1_amd64.deb’
➜ ~ sudo rm -v /var/cache/apt/archives/firefox-locale-en_*.deb
removed ‘/var/cache/apt/archives/firefox-locale-en_84.0.2+build1-0ubuntu0.18.04.1_amd64.deb’
➜ ~ sudo rm -v /var/cache/apt/archives/teamviewer_*.deb
removed ‘/var/cache/apt/archives/teamviewer_15.13.6_amd64.deb’
➜ ~ uname -a
Linux xxxxx 3.13.0-85-generic #129-Ubuntu SMP Thu Mar 17 20:50:15 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
➜ ~ lsb_release -crid
Distributor ID: Ubuntu
Description: Ubuntu 14.04.5 LTS
Release: 14.04
Codename: trusty
➜ ~ dpkg-deb --version
Debian `dpkg-deb' package archive backend version 1.17.5 (amd64).
This is free software; see the GNU General Public License version 2 or
later for copying conditions. There is NO warranty.

➜ ~ sudo apt update
Hit http://dl.google.com stable InRelease
Hit http://linux.teamviewer.com stable InRelease
Hit http://ppa.launchpad.net bionic InRelease
Ign http://dl.google.com stable InRelease
Ign http://archive.ubuntu.com trusty InRelease
Hit https://dl.yarnpkg.com stable InRelease
Hit http://linux.teamviewer.com stable/main amd64 Packages
Hit https://download.docker.com trusty InRelease
Hit http://deb.playonlinux.com precise InRelease
Hit https://brave-browser-apt-release.s3.brave.com stable InRelease
Hit http://linux.teamviewer.com stable/main i386 Packages
Ign http://ppa.launchpad.net trusty InRelease
Hit http://archive.ubuntu.com trusty Release.gpg
Hit http://dl.google.com stable/main amd64 Packages
Hit https://download.docker.com trusty/stable amd64 Packages
Hit https://brave-browser-apt-release.s3.brave.com stable/main amd64 Packages
Hit http://deb.playonlinux.com precise/main amd64 Packages
Hit http://archive.ubuntu.com trusty Release
Ign http://linux.dropbox.com trusty InRelease
Get:1 https://download.docker.com trusty/stable Translation-en_IN
Hit http://deb.playonlinux.com precise/main i386 Packages
Ign http://ppa.launchpad.net trusty InRelease
Hit http://archive.ubuntu.com trusty/main amd64 Packages
Hit http://archive.ubuntu.com trusty/universe amd64 Packages
Hit http://linux.dropbox.com trusty Release.gpg
Hit http://dl.google.com stable Release.gpg
Hit http://ppa.launchpad.net trusty InRelease
Hit http://archive.ubuntu.com trusty/restricted amd64 Packages
Hit http://archive.ubuntu.com trusty/multiverse amd64 Packages
Hit https://dl.yarnpkg.com stable/main amd64 Packages
Hit http://ppa.launchpad.net trusty InRelease
Hit http://archive.ubuntu.com trusty/main i386 Packages
Get:2 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en_IN
Hit http://linux.dropbox.com trusty Release
Hit http://archive.ubuntu.com trusty/universe i386 Packages
Hit http://ppa.launchpad.net trusty InRelease
Hit http://archive.ubuntu.com trusty/restricted i386 Packages
Hit https://dl.yarnpkg.com stable/main i386 Packages
Hit http://dl.google.com stable Release
Hit http://linux.dropbox.com trusty/main amd64 Packages
Hit http://archive.ubuntu.com trusty/multiverse i386 Packages
Hit http://ppa.launchpad.net trusty InRelease
Hit http://linux.dropbox.com trusty/main i386 Packages
Get:3 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:4 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:5 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:6 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:7 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:8 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:9 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:10 https://dl.yarnpkg.com stable/main Translation-en_IN
Hit http://archive.ubuntu.com trusty/main Translation-en
Ign http://deb.playonlinux.com precise/main Translation-en_IN
Hit http://ppa.launchpad.net trusty InRelease
Ign http://deb.playonlinux.com precise/main Translation-en
Get:11 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en
Get:12 https://dl.yarnpkg.com stable/main Translation-en
Get:13 https://dl.yarnpkg.com stable/main Translation-en
Get:14 https://dl.yarnpkg.com stable/main Translation-en
Get:15 https://dl.yarnpkg.com stable/main Translation-en
Get:16 https://dl.yarnpkg.com stable/main Translation-en
Get:17 https://dl.yarnpkg.com stable/main Translation-en
Get:18 https://dl.yarnpkg.com stable/main Translation-en
Get:19 https://dl.yarnpkg.com stable/main Translation-en
Hit http://archive.ubuntu.com trusty/multiverse Translation-en
Hit https://packagecloud.io jessie InRelease
Hit http://dl.google.com stable/main amd64 Packages
Hit http://ppa.launchpad.net trusty InRelease
Ign https://download.docker.com trusty/stable Translation-en_IN
Get:20 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:21 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:22 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:23 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:24 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:25 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:26 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:27 https://dl.yarnpkg.com stable/main Translation-en_IN
Hit http://archive.ubuntu.com trusty/restricted Translation-en
Ign https://download.docker.com trusty/stable Translation-en
Hit http://ppa.launchpad.net trusty InRelease
Hit http://dl.google.com stable/main i386 Packages
Get:28 https://dl.yarnpkg.com stable/main Translation-en
Get:29 https://dl.yarnpkg.com stable/main Translation-en
Get:30 https://dl.yarnpkg.com stable/main Translation-en
Get:31 https://dl.yarnpkg.com stable/main Translation-en
Get:32 https://dl.yarnpkg.com stable/main Translation-en
Get:33 https://dl.yarnpkg.com stable/main Translation-en
Get:34 https://dl.yarnpkg.com stable/main Translation-en
Get:35 https://dl.yarnpkg.com stable/main Translation-en
Hit http://archive.ubuntu.com trusty/universe Translation-en
Ign http://ppa.launchpad.net trusty InRelease
Get:36 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en_IN
Get:37 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:38 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:39 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:40 https://dl.yarnpkg.com stable/main Translation-en_IN
Ign http://ppa.launchpad.net raring InRelease
Hit https://packagecloud.io jessie/main amd64 Packages
Hit http://ppa.launchpad.net trusty InRelease
Get:41 https://dl.yarnpkg.com stable/main Translation-en
Get:42 https://dl.yarnpkg.com stable/main Translation-en
Get:43 https://dl.yarnpkg.com stable/main Translation-en
Hit http://ppa.launchpad.net trusty InRelease
Get:44 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:45 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:46 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:47 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en
Ign http://linux.teamviewer.com stable/main Translation-en_IN
Hit http://ppa.launchpad.net trusty InRelease
Ign http://linux.teamviewer.com stable/main Translation-en
Hit http://ppa.launchpad.net trusty InRelease
Hit https://packagecloud.io jessie/main i386 Packages
Ign http://ppa.launchpad.net precise InRelease
Get:48 https://packagecloud.io jessie/main Translation-en_IN
Get:49 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en_IN
Hit http://ppa.launchpad.net trusty InRelease
Ign http://archive.ubuntu.com trusty/main Translation-en_IN
Get:50 https://dl.yarnpkg.com stable/main Translation-en
Get:51 https://dl.yarnpkg.com stable/main Translation-en
Get:52 https://dl.yarnpkg.com stable/main Translation-en
Ign http://archive.ubuntu.com trusty/multiverse Translation-en_IN
Hit http://ppa.launchpad.net trusty InRelease
Ign http://archive.ubuntu.com trusty/restricted Translation-en_IN
Ign http://dl.google.com stable/main Translation-en_IN
Ign http://archive.ubuntu.com trusty/universe Translation-en_IN
Hit http://ppa.launchpad.net trusty InRelease
Ign http://dl.google.com stable/main Translation-en
Get:53 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en
Hit http://ppa.launchpad.net trusty InRelease
Ign http://linux.dropbox.com trusty/main Translation-en_IN
Hit http://ppa.launchpad.net bionic/main amd64 Packages
Ign http://linux.dropbox.com trusty/main Translation-en
Ign https://packagecloud.io jessie/main Translation-en_IN
Get:54 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:55 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:56 https://dl.yarnpkg.com stable/main Translation-en_IN
Ign https://dl.yarnpkg.com stable/main Translation-en_IN
Hit http://ppa.launchpad.net bionic/main i386 Packages
Ign https://packagecloud.io jessie/main Translation-en
Get:57 https://dl.yarnpkg.com stable/main Translation-en
Get:58 https://dl.yarnpkg.com stable/main Translation-en
Get:59 https://dl.yarnpkg.com stable/main Translation-en
Ign https://dl.yarnpkg.com stable/main Translation-en
Hit http://ppa.launchpad.net bionic/main Translation-en
Get:60 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en_IN
Hit http://ppa.launchpad.net trusty Release.gpg
Ign http://dl.google.com stable/main Translation-en_IN
Hit http://ppa.launchpad.net trusty Release.gpg
Ign http://dl.google.com stable/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Get:61 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Get:62 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en_IN
Ign https://brave-browser-apt-release.s3.brave.com stable/main Translation-en_IN
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Get:63 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en
Ign https://brave-browser-apt-release.s3.brave.com stable/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty Release.gpg
Hit http://ppa.launchpad.net raring Release.gpg
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net precise Release.gpg
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty Release
Hit http://ppa.launchpad.net trusty Release
Hit http://ppa.launchpad.net trusty Release
Hit http://ppa.launchpad.net raring Release
Hit http://ppa.launchpad.net precise Release
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net raring/main amd64 Packages
Hit http://ppa.launchpad.net raring/main i386 Packages
Hit http://ppa.launchpad.net precise/main amd64 Packages
Hit http://ppa.launchpad.net precise/main i386 Packages
Ign http://ppa.launchpad.net raring/main Translation-en_IN
Ign http://ppa.launchpad.net raring/main Translation-en
Ign http://ppa.launchpad.net precise/main Translation-en_IN
Ign http://ppa.launchpad.net precise/main Translation-en
Reading package lists... Done
W: Ignoring Provides line with DepCompareOp for package gdb-minimal
W: Ignoring Provides line with DepCompareOp for package gdb-minimal
W: You may want to run apt-get update to correct these problems
➜ ~ sudo apt upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  firefox-locale-en google-chrome-stable teamviewer
3 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 92.6 MB of archives.
After this operation, 35.4 MB of additional disk space will be used.
Get:1 http://linux.teamviewer.com/deb/ stable/main teamviewer amd64 15.13.6 [14.7 MB]
Get:2 http://dl.google.com/linux/chrome/deb/ stable/main google-chrome-stable amd64 87.0.4280.141-1 [77.3 MB]
Get:3 http://ppa.launchpad.net/ubuntu-mozilla-security/ppa/ubuntu/ bionic/main firefox-locale-en amd64 84.0.2+build1-0ubuntu0.18.04.1 [671 kB]
Fetched 92.6 MB in 29s (3,144 kB/s)
dpkg-deb: error: archive '/var/cache/apt/archives/google-chrome-stable_87.0.4280.141-1_amd64.deb' has premature member 'control.tar.xz' before 'control.tar.gz', giving up
dpkg: error processing archive /var/cache/apt/archives/google-chrome-stable_87.0.4280.141-1_amd64.deb (--unpack):
 subprocess dpkg-deb --control returned error exit status 2
dpkg-deb: error: archive '/var/cache/apt/archives/firefox-locale-en_84.0.2+build1-0ubuntu0.18.04.1_amd64.deb' has premature member 'control.tar.xz' before 'control.tar.gz', giving up
dpkg: error processing archive /var/cache/apt/archives/firefox-locale-en_84.0.2+build1-0ubuntu0.18.04.1_amd64.deb (--unpack):
 subprocess dpkg-deb --control returned error exit status 2
dpkg-deb: error: archive '/var/cache/apt/archives/teamviewer_15.13.6_amd64.deb' has premature member 'control.tar.xz' before 'control.tar.gz', giving up
dpkg: error processing archive /var/cache/apt/archives/teamviewer_15.13.6_amd64.deb (--unpack):
 subprocess dpkg-deb --control returned error exit status 2
Errors were encountered while processing:
 /var/cache/apt/archives/google-chrome-stable_87.0.4280.141-1_amd64.deb
 /var/cache/apt/archives/firefox-locale-en_84.0.2+build1-0ubuntu0.18.04.1_amd64.deb
 /var/cache/apt/archives/teamviewer_15.13.6_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
➜ ~

Known bug in old versions of dpkg
https://askubuntu.com/questions/1065231/dpkg-deb-error-archive

Trusty is EOL in April this yyear so you may want to use this as a catalyst to upgrade to a newer release
https://wiki.ubuntu.com/Releases

Manfred Hampl (m-hampl) said : #4

1. Ubuntu 14.04 (trusty) is not supported any more, except for Extended Security Maintenance (ESM), which is a paid option for security updates for selected server packages. See https://wiki.ubuntu.com/Releases

I recommend that you upgrade to a supported Ubuntu release in due course, or do a new installation with a supported release.

2. Some technical details in the structure of *.deb has been changed after publication of Ubuntu trusty. It seems that you do not have the newest version of dpkg that is available for Ubuntu trusty, and the outdated version of dpkg on your system is not capable of handling new *.deb packages, like e.g. firefox-locale-en_84.0.2+build1-0ubuntu0.18.04.1_amd64.deb (which is a package for Ubuntu 18.04 and not for your 14.04 release).

You have to update the dpkg package to the newest version available for Ubuntu trusty, which is 1.17.5ubuntu5.8

What is the output of the command
apt-cache policy dpkg
?

arun (arunwebber) said : #5

~ apt-cache policy dpkg
dpkg:
  Installed: 1.17.5ubuntu5.7
  Candidate: 1.17.5ubuntu5.7
  Version table:
 *** 1.17.5ubuntu5.7 0
        100 /var/lib/dpkg/status
     1.17.5ubuntu5 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages

Manfred Hampl (m-hampl) said : #6

You need the trusty-updates repository.

Open a terminal and run the command

software-properties-gtk

enable trusty-updates by setting a tickmark besides the related line (and provide your password when asked for it).

Then issue the commands

sudo apt update
sudo apt install dpkg
sudo apt upgrade

But this will not help with the fact, that you are running an unsupported release, and that you have installed packages for a wrong release on your system.

arun (arunwebber) said : #7

Upgrade failed And i am getting this now

sudo apt upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 tor-geoipdb : Depends: tor (>= 0.2.4.27-1ubuntu0.1) but 0.2.4.20-1 is installed
E: Unmet dependencies. Try using -f

OK, what is the output of:

apt-cache policy tor-geoipdb tor

Thanks

arun (arunwebber) said : #9

➜ ~ apt-cache policy tor-geoipdb tor
tor-geoipdb:
  Installed: 0.2.4.27-1ubuntu0.1
  Candidate: 0.2.4.27-1ubuntu0.1
  Version table:
 *** 0.2.4.27-1ubuntu0.1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-updates/universe amd64 Packages
        100 /var/lib/dpkg/status
     0.2.4.20-1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages
tor:
  Installed: 0.2.4.20-1
  Candidate: 0.2.4.27-1ubuntu0.1
  Version table:
     0.2.4.27-1ubuntu0.1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-updates/universe amd64 Packages
 *** 0.2.4.20-1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages
        100 /var/lib/dpkg/status

Try:

sudo apt-get install tor-geoipdb
sudo apt-get clean
sudo apt-get install tor

Or, easier

sudo apt-get --purge remove tor tor-geoipdb
sudo apt-get clean
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install tor

Again, this is all pretty much a waste of time as your release is absolutely ancient and soon to be supported by any official channel.

arun (arunwebber) said : #13

I am planning o upgrade to a new release as soon as I have fixed this.

➜ ~ sudo apt-get --purge remove tor tor-geoipdb
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 vidalia : Depends: tor (>= 0.2.2.29-beta-1) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

Manfred Hampl (m-hampl) said : #14

What output do you receive for

sudo apt-get install -f
sudo dpkg --audit

arun (arunwebber) said : #15

sudo apt-get install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following package was automatically installed and is no longer required:
  libjemalloc1
Use 'apt-get autoremove' to remove it.
The following extra packages will be installed:
  tor
Suggested packages:
  mixmaster xul-ext-torbutton tor-arm apparmor-utils
The following packages will be upgraded:
  tor
1 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
571 not fully installed or removed.
Need to get 0 B/787 kB of archives.
After this operation, 9,216 B disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 363997 files and directories currently installed.)
Preparing to unpack .../tor_0.2.4.27-1ubuntu0.1_amd64.deb ...
 * Stopping tor daemon... [fail]
invoke-rc.d: initscript tor, action "stop" failed.
/var/lib/dpkg/info/tor.prerm: 8: /var/lib/dpkg/info/tor.prerm: tor_error_init: not found
dpkg: warning: subprocess old pre-removal script returned error exit status 127
dpkg: trying script from the new package instead ...
 * Stopping tor daemon... [fail]
invoke-rc.d: initscript tor, action "stop" failed.
/var/lib/dpkg/tmp.ci/prerm: 8: /var/lib/dpkg/tmp.ci/prerm: tor_error_init: not found
dpkg: error processing archive /var/cache/apt/archives/tor_0.2.4.27-1ubuntu0.1_amd64.deb (--unpack):
 subprocess new pre-removal script returned error exit status 127
 * Starting tor daemon... [ OK ]
Errors were encountered while processing:
 /var/cache/apt/archives/tor_0.2.4.27-1ubuntu0.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

➜ Desktop sudo dpkg --audit

The following packages have been unpacked but not yet configured.
They must be configured using dpkg --configure or the configure
menu option in dselect for them to work:
 libexempi3:amd64 library to parse XMP metadata (Library)
 ubuntu-release-upgrader-gtk manage release upgrades
 python-twisted-conch Twisted SSH Implementation
 python-urllib3 HTTP library with thread-safe connection pooling for Pyth
 python-lxml pythonic binding for the libxml2 and libxslt libraries
 libsyndication4 parser library for RSS and Atom feeds
 hwdata hardware identification / configuration data
 apturl-common install packages using the apt protocol - common data
 gir1.2-ebookcontacts-1.2 GObject introspection for the EBook Contacts library
 libkontactinterface4 Kontact interface library
 xserver-common common files used by various X servers
 shotwell digital photo organizer
 libasprintf0c2:amd64 GNU library to use fprintf and friends in C++
 mariadb-client-5.5 MariaDB database client binaries
 libelf1:amd64 library to read and write ELF files
 gimp The GNU Image Manipulation Program
 kdepimlibs-kio-plugins kio slaves used by KDE PIM applications
 libmagickcore5:amd64 low-level image manipulation library
 python-six Python 2 and 3 compatibility library (Python 2 interface)
 libpolkit-gobject-1-0:amd64 PolicyKit Authorization API
 iproute2 networking and traffic control tools
 libreoffice-style-human office productivity suite -- Human symbol style
 libpq5 PostgreSQL C client library
 libevview3-3 Document (PostScript, PDF) rendering library - Gtk+ widge
 libnl-3-200:amd64 library for dealing with netlink sockets
 ure LibreOffice UNO runtime environment
 gstreamer1.0-plugins-bad-faad:amd64 GStreamer faad plugin from the "bad" set
 ruby1.9.1-full Ruby 1.9.1 full installation
 libgpgme++2 c++ wrapper library for gpgme
 sudo Provide limited super user privileges to specific users
 postgresql-contrib additional facilities for PostgreSQL (supported version)
 icedtea-7-jre-jamvm:amd64 Alternative JVM for OpenJDK, using JamVM
 python-twisted-bin Event-based framework for internet applications
 openjdk-7-jre-headless:amd64 OpenJDK Java runtime, using Hotspot JIT (headless)
 initramfs-tools tools for generating an initramfs
 libxml2:amd64 GNOME XML library
 texlive-base TeX Live: Essential programs and files
 desktop-file-utils Utilities for .desktop files
 libssl1.0.0:amd64 Secure Sockets Layer toolkit - shared libraries
 cups-ppdc Common UNIX Printing System(tm) - PPD manipulation utilit
 gnome-user-guide GNOME user's guide
 libperl5.18 shared Perl library
 python3-uno Python-UNO bridge
 libvorbisfile3:amd64 The Vorbis General Audio Compression Codec (High Level AP
 gettext-base GNU Internationalization utilities for the base system
 module-init-tools transitional dummy package (module-init-tools to kmod)
 privoxy Privacy enhancing HTTP Proxy
 libsox-fmt-alsa:amd64 SoX alsa format I/O library
 python3-pyqt5 Python 3 bindings for Qt5
 libgcrypt11:amd64 LGPL Crypto library - runtime library
 libkblog4 client-side support library for web application remote bl
 python-twisted Event-based framework for internet applications (dependen
 kontact integrated application for personal information managemen
 isc-dhcp-common common files used by all the isc-dhcp* packages
 libc6-dbg:amd64 Embedded GNU C Library: detached debugging symbols
 evolution-data-server-online-accounts evolution data server integration with U
 evolution-data-server-common architecture independent files for Evolution Data
 libedataserver-1.2-18 Utility library for evolution data servers
 texlive-luatex TeX Live: LuaTeX packages
 libtasn1-6:amd64 Manage ASN.1 structures (runtime)
 libopencv-flann2.4:amd64 computer vision Clustering and Search in Multi-Dimensiona
 libsoup2.4-1:amd64 HTTP library implementation in C -- Shared library
 libcurl3-gnutls:amd64 easy-to-use client-side URL transfer library (GnuTLS flav
 libsoup-gnome2.4-1:amd64 HTTP library implementation in C -- GNOME support library
 libp11-kit-gnome-keyring:amd64 GNOME keyring module for the PKCS#11 module loading l
 python-pyasn1 ASN.1 library for Python (Python 2 module)
 libreoffice-math office productivity suite -- equation editor
 procps /proc file system utilities
 wpasupplicant client support for WPA and WPA2 (IEEE 802.11i)
 apturl install packages using the apt protocol - GTK+ frontend
 dnsutils Clients provided with BIND
 libpoppler-qt4-4:amd64 PDF rendering library (Qt 4 based shared library)
 libllvm3.6:amd64 Modular compiler and toolchain technologies, runtime libr
 libopencv-ml2.4:amd64 computer vision Machine Learning library
 libgssapi-krb5-2:amd64 MIT Kerberos runtime libraries - krb5 GSS-API Mechanism
 libpython3.4-minimal:amd64 Minimal subset of the Python language (version 3.4)
 liblivemedia23 multimedia RTSP streaming library
 php5-mysqlnd MySQL module for php5 (Native Driver)
 libreoffice-impress office productivity suite -- presentation
 libmailcommon4 email utility library
 libakonadi-calendar4 library providing calendar helpers for Akonadi items
 libpython2.7:amd64 Shared Python runtime library (version 2.7)
 libedata-cal-1.2-23 Backend library for evolution calendars
 avahi-utils Avahi browsing, publishing and discovery utilities
 libkmbox4 library for handling mbox mailboxes
 perl-modules Core Perl modules
 python3-apt Python 3 interface to libapt-pkg
 libkmime4 library for handling MIME data
 apache2-data Apache HTTP Server (common files)
 knotes sticky notes application
 libwbclient0:amd64 Samba winbind client library
 libsystemd-journal0:amd64 systemd journal utility library
 dh-apparmor AppArmor debhelper routines
 liblwres90 Lightweight Resolver Library used by BIND
 python-twisted-web HTTP protocol implementation together with clients and se
 ubuntu-restricted-extras Commonly used restricted packages for Ubuntu
 libgudev-1.0-0:amd64 GObject-based wrapper library for libudev
 libx11-xcb-dev:amd64 Xlib/XCB interface library (development headers)
 apport-gtk GTK+ frontend for the apport crash report system
 dpkg-dev Debian package development tools
 dkms Dynamic Kernel Module Support Framework
 mtp-tools Media Transfer Protocol (MTP) library tools
 libnoteshared4 notes support library
 libc6-dev:amd64 Embedded GNU C Library: Development Libraries and Header
 libwavpack1:amd64 audio codec (lossy and lossless) - library
 gir1.2-soup-2.4 GObject introspection data for the libsoup HTTP library
 python-requests elegant and simple HTTP library for Python, built for hum
 libglib2.0-data Common files for GLib library
 python-software-properties manage the repositories that you install software f
 libgdk-pixbuf2.0-0:amd64 GDK Pixbuf library
 xorg X.Org X Window System
 postgresql-client-9.3 front-end programs for PostgreSQL 9.3
 libkpimtextedit4 library that provides a textedit with PIM-specific featur
 virtualbox x86 virtualization solution - base binaries
 bluez Bluetooth tools and daemons
 libxslt1.1:amd64 XSLT 1.0 processing library - runtime library
 kazam screencast and screenshot application created with design
 libprocps3:amd64 library for accessing process information from /proc
 libvlc5 multimedia player and streamer library
 tzdata-java time zone and daylight-saving time data for use by java r
 libmagickcore5-extra:amd64 low-level image manipulation library - extra codecs
 libktnef4 library for handling TNEF data
 libgraphicsmagick3 format-independent image processing - C shared library
 ubuntu-standard The Ubuntu standard system
 grub-common GRand Unified Bootloader (common files)
 xserver-xorg-core Xorg X server - core server
 libk5crypto3:amd64 MIT Kerberos runtime libraries - Crypto Library
 dnsmasq-base Small caching DNS proxy and DHCP/TFTP server
 libnss3-nssdb Network Security Security libraries - shared databases
 libmagic1:amd64 File type determination library using "magic" numbers
 libspice-server1:amd64 Implements the server side of the SPICE protocol
 xserver-xorg-video-openchrome X.Org X server -- VIA display driver
 cups-client Common UNIX Printing System(tm) - client programs (SysV)
 mariadb-client MariaDB database client (metapackage depending on the lat
 apt-transport-https https download transport for APT
 avahi-autoipd Avahi IPv4LL network address configuration daemon
 libavahi-glib1:amd64 Avahi GLib integration library
 libudev1:amd64 libudev shared library
 libkldap4 library for accessing LDAP
 libmessagelist4 message list library
 apache2-bin Apache HTTP Server (binary files and modules)
 gettext GNU Internationalization utilities
 libopenscenegraph99 3D scene graph, shared libs
 ifupdown high level tools to configure network interfaces
 systemd-services systemd runtime services
 postgresql-client-common manager for multiple PostgreSQL client versions
 grub-pc-bin GRand Unified Bootloader, version 2 (PC/BIOS binaries)
 ssh-askpass-gnome interactive X program to prompt users for a passphrase fo
 gstreamer0.10-plugins-ugly-dbg:amd64 GStreamer plugins from the "ugly" set (debug sy
 libakonadi-socialutils4 Akonadi resources for handling social feeds
 myspell-en-gb English_british dictionary for myspell
 libeventviews4 event viewing library
 libtemplateparser4 KMail template parser library
 xserver-xorg-video-radeon X.Org X server -- AMD/ATI Radeon display driver
 ubuntu-release-upgrader-qt manage release upgrades
 libdpkg-perl Dpkg perl modules
 libptexenc1 TeX Live: pTeX encoding library
 mountall filesystem mounting tool
 libkpathsea6 TeX Live: path search library for TeX (runtime part)
 libpython3.4:amd64 Shared Python runtime library (version 3.4)
 kde-config-pimactivity Activity configuration module for KDE PIM
 kmod tools for managing Linux kernel modules
 transmission-common lightweight BitTorrent client (common files)
 libmagickwand5:amd64 image manipulation library
 libc-dev-bin Embedded GNU C Library: Development binaries
 libgimp2.0 Libraries for the GNU Image Manipulation Program
 libakonadi-contact4 library for using the Akonadi PIM data server
 libxfont1:amd64 X11 font rasterisation library
 pidgin-data multi-protocol instant messaging client - data files
 libmicroblog4 library for using the Microblog Akonadi Resource
 libreoffice office productivity suite (metapackage)
 libasprintf-dev:amd64 GNU Internationalization library development files
 libpolkit-agent-1-0:amd64 PolicyKit Authentication Agent API
 libcalendarsupport4 calendar support library
 libsnmp-base SNMP configuration script, MIBs and documentation
 virtualbox-dkms x86 virtualization solution - kernel module sources for d
 linux-libc-dev:amd64 Linux Kernel Headers for development
 python-matplotlib-data Python based plotting system (data package)
 resolvconf name server information handler
 libmessageviewer4 message viewer library
 evolution-data-server evolution database backend server
 libkmod2:amd64 libkmod shared library
 gnome-keyring GNOME keyring services (daemon and tools)
 libreoffice-writer office productivity suite -- word processor
 libgettextpo0:amd64 GNU Internationalization library
 file Determines file type using "magic" numbers
 libc6-i386 Embedded GNU C Library: 32-bit shared libraries for AMD64
 gdebi-core simple tool to install deb files
 libsdl-image1.2:amd64 Image loading library for Simple DirectMedia Layer 1.2, l
 liblcms2-2:amd64 Little CMS 2 color management library
 cups-core-drivers Common UNIX Printing System(tm) - PPD-less printing
 libreoffice-java-common office productivity suite -- arch-independent Java sup
 imagemagick-common image manipulation programs -- infrastructure
 subversion Advanced version control system
 python3-pyqt5.qtwebkit Python 3 bindings for Qt5's WebKit module
 libcupsfilters1:amd64 OpenPrinting CUPS Filters - Shared library
 python3-requests elegant and simple HTTP library for Python3, built for hu
 xserver-xorg X.Org X server
 texlive-binaries Binaries for TeX Live
 libevdocument3-4 Document (PostScript, PDF) rendering library
 python-twisted-runner Process management, including an inetd server
 libapt-inst1.5:amd64 deb package format runtime library
 mariadb-server-core-5.5 MariaDB database core server files
 libc6-dev-x32 Embedded GNU C Library: X32 ABI Development Libraries for
 libsvn1:amd64 Shared libraries used by Apache Subversion
 libopencv-objdetect2.4:amd64 computer vision Object Detection library
 libcupsmime1:amd64 Common UNIX Printing System(tm) - MIME library
 cups-server-common Common UNIX Printing System(tm) - server common files
 update-manager-core manage release upgrades
 libboost-filesystem1.54.0:amd64 filesystem operations (portable paths, iteration ove
 python2.7 Interactive high-level object-oriented language (version
 libkcalcore4 library for handling calendar data
 python3-update-manager python 3.x module for update-manager
 libreoffice-base-core office productivity suite -- shared library
 landscape-client-ui-install The Landscape administration system client - UI in
 libebook-contacts-1.2-0 Client library for evolution contacts books
 python-twisted-words Chat and Instant Messaging
 gimp-data Data files for GIMP
 libklibc minimal libc subset for use with initramfs
 libkholidays4 holidays calculation library
 curl command line tool for transferring data with URL syntax
 libreoffice-gnome office productivity suite -- GNOME integration
 php5-gd GD module for php5
 python3-crypto cryptographic algorithms and protocols for Python 3
 libsmbclient:amd64 shared library for communication with SMB/CIFS servers
 apturl-kde install packages using the apt protocol - KDE frontend
 libksieveui4 Sieve, the mail filtering language, GUI library
 libsystemd-daemon0:amd64 systemd utility library
 kdepim-kresources KDE PIM resource plugins
 libkdgantt2-0 Gantt chart library
 cups-filters-core-drivers OpenPrinting CUPS Filters - PPD-less printing
 libsqlite3-0:amd64 SQLite 3 shared library
 cups-common Common UNIX Printing System(tm) - common files
 libpam-systemd:amd64 system and service manager - PAM module
 python-twisted-lore Documentation generator with HTML and LaTeX support
 libcups2:amd64 Common UNIX Printing System(tm) - Core library
 samba-libs:amd64 Samba core libraries
 python3-louis Python bindings for liblouis
 ri1.9.1 Ruby Interactive reference (for Ruby 1.9.1)
 mysql-common MySQL database common files, e.g. /etc/mysql/my.cnf
 libcamel-1.2-45 Evolution MIME message handling library
 libplymouth2:amd64 graphical boot animation and logger - shared libraries
 kaddressbook address book and contact data manager
 rsync fast, versatile, remote (and local) file-copying tool
 python3-colorama Cross-platform colored terminal text in Python - Python 3
 libsox2:amd64 SoX library of audio effects and processing
 python3.4-minimal Minimal subset of the Python language (version 3.4)
 ppp Point-to-Point Protocol (PPP) - daemon
 libjpeg-turbo8:amd64 IJG JPEG compliant runtime library.
 libvorbisenc2:amd64 The Vorbis General Audio Compression Codec (Encoder libra
 logrotate Log rotation utility
 plymouth-theme-ubuntu-logo graphical boot animation and logger - ubuntu-logo t
 gnupg2 GNU privacy guard - a free PGP replacement (new v2.x)
 postfix High-performance mail transport agent
 libreoffice-base office productivity suite -- database
 python-ldb Python bindings for LDB
 libarchive13:amd64 Multi-format archive and compression library (shared libr
 iproute transitional dummy package for iproute2
 libpam-gnome-keyring:amd64 PAM module to unlock the GNOME keyring upon login
 libakonadi-kcal4 library for using the Akonadi PIM data server
 scdaemon GNU privacy guard - smart card support
 libterm-readkey-perl perl module for simple terminal control
 cups-filters OpenPrinting CUPS Filters - Main Package
 libreoffice-sdbc-firebird Firebird SDBC driver for LibreOffice
 python-samba Python bindings for Samba
 patch Apply a diff file to an original
 gstreamer0.10-plugins-ugly:amd64 GStreamer plugins from the "ugly" set
 initramfs-tools-bin binaries used by initramfs-tools
 libkleo4 certificate based crypto library
 libfreerdp1:amd64 RDP client for Windows Terminal Services (library)
 gstreamer1.0-plugins-bad-videoparsers:amd64 GStreamer videoparsers plugin from the "
 ruby1.9.3 Interpreter of object-oriented scripting language Ruby, v
 ruby1.9.1 Interpreter of object-oriented scripting language Ruby
 libopencv-highgui2.4:amd64 computer vision High-level GUI and Media I/O library
 perlmagick Perl interface to the ImageMagick graphics routines
 krb5-locales Internationalization support for MIT Kerberos
 libakonadi-kde4 library for using the Akonadi PIM data server
 bluez-alsa:amd64 Bluetooth ALSA support
 libopencv-video2.4:amd64 computer vision Video analysis library
 libxml2-utils XML utilities
 libreoffice-common office productivity suite -- arch-independent files
 python2.7-minimal Minimal subset of the Python language (version 2.7)
 libmessagecomposer4 message composer library
 tcpdump command-line network traffic analyzer
 vlc-data Common data for VLC
 libsendlater4 send later library
 lshw information about hardware configuration
 evince Document (PostScript, PDF) viewer
 evince-common Document (PostScript, PDF) viewer - common files
 libtiff5:amd64 Tag Image File Format (TIFF) library
 libbasicusageenvironment0 multimedia RTSP streaming library (BasicUsageEnviron
 klibc-utils small utilities built with klibc for early boot
 libarchive-zip-perl Perl module for manipulation of ZIP archives
 libsystemd-login0:amd64 systemd login utility library
 python3.4 Interactive high-level object-oriented language (version
 libgs9 interpreter for the PostScript language and for PDF - Lib
 libkrb5support0:amd64 MIT Kerberos runtime libraries - Support library
 samba-common common files used by both the Samba server and client
 libxml2-doc Documentation for the GNOME XML library
 wget retrieves files from the web
 bind9-host Version of 'host' bundled with BIND 9.X
 chromium-browser Chromium web browser, open-source version of Chrome
 libincidenceeditorsng4 incidence editors library
 transmission-gtk lightweight BitTorrent client (GTK+ interface)
 apport-kde KDE frontend for the apport crash report system
 uno-libs3 LibreOffice UNO runtime environment -- public shared libr
 gir1.2-gudev-1.0 libgudev-1.0 introspection data
 python3-distlib low-level components of python distutils2/packaging
 libvncserver0:amd64 API to write one's own vnc server
 libicu52:amd64 International Components for Unicode
 teamviewer Remote control and meeting solution.
 update-notifier Daemon which notifies about package updates
 plymouth-theme-ubuntu-text graphical boot animation and logger - ubuntu-logo t
 libebackend-1.2-7 Utility library for evolution data servers
 libpoppler-glib8:amd64 PDF rendering library (GLib-based shared library)
 gir1.2-ebook-1.2 GObject introspection for the EBook library
 libpimactivity4 Activity support library for KDE PIM
 libpimcommon4 library for common bits of KDEPIM
 bluez-cups Bluetooth printer driver for CUPS
 libwhoopsie0 Ubuntu error tracker submission - shared library
 libisccc90 Command Channel Library used by BIND
 ruby1.9.1-examples Examples for Ruby 1.9
 libreoffice-report-builder-bin LibreOffice component for building database rep
 google-chrome-stable The web browser from Google
 libkpgp4 gpg based crypto library
 unrar Unarchiver for .rar files (non-free version)
 libsndfile1:amd64 Library for reading/writing audio files
 liblouis2:amd64 Braille translation library - shared libs
 python3-lxml pythonic binding for the libxml2 and libxslt libraries
 xdg-utils desktop integration utilities from freedesktop.org
 whoopsie Ubuntu error tracker submission
 libservlet3.0-java Servlet 3.0 and JSP 2.2 Java API classes
 ubuntu-release-upgrader-core manage release upgrades
 php5-fpm server-side, HTML-embedded scripting language (FPM-CGI bi
 libgs9-common interpreter for the PostScript language and for PDF - com
 gir1.2-edataserver-1.2 GObject introspection for the EDataServer library
 python-paramiko Make ssh v2 connections with Python (Python 2)
 libxerces-c3.1:amd64 validating XML parser library for C++
 smbclient command-line SMB/CIFS clients for Unix
 libnl-genl-3-200:amd64 library for dealing with netlink sockets - generic netlin
 libavahi-gobject0:amd64 Avahi GObject library
 libreoffice-sdbc-hsqldb HSQLDB SDBC driver for LibreOffice
 kmail full featured graphical email client
 plymouth-label graphical boot animation and logger - label control
 busybox-static Standalone rescue shell with tons of builtin utilities
 nvidia-opencl-icd-304 NVIDIA OpenCL ICD
 libakonadi-kabc4 library for using the Akonadi PIM data server
 ubuntu-advantage-tools management tools for Ubuntu Advantage
 libmpg123-0:amd64 MPEG layer 1/2/3 audio decoder (shared library)
 qpdf tools for transforming and inspecting PDF files
 libmessagecore4 message core library
 plymouth graphical boot animation and logger - main package
 libmariadbclient18:amd64 MariaDB database client library
 ghostscript-x interpreter for the PostScript language and for PDF - X11
 vlc-plugin-pulse PulseAudio plugin for VLC
 libreoffice-pdfimport PDF Import component for LibreOffice
 libnss3-1d:amd64 Network Security Service libraries - transitional package
 libcurl3:amd64 easy-to-use client-side URL transfer library (OpenSSL fla
 php5-common Common files for packages built from the php5 source
 libmysqlclient18:amd64 MySQL database client library
 libavahi-core7:amd64 Avahi's embeddable mDNS/DNS-SD library
 korganizer calendar and personal organizer
 libgstreamer-plugins-bad1.0-0:amd64 GStreamer development files for libraries from t
 python-matplotlib Python based plotting system in a style similar to Matlab
 libsox-fmt-base:amd64 Minimal set of SoX format libraries
 libgdk-pixbuf2.0-common GDK Pixbuf library - data files
 gpgsm GNU privacy guard - S/MIME version
 vlc-nox multimedia player and streamer (without X support)
 libminiupnpc8 UPnP IGD client lightweight library
 libnl-route-3-200:amd64 library for dealing with netlink sockets - route interfac
 libqpdf21:amd64 runtime library for PDF transformation/inspection softwar
 libqgpgme1 library for GpgME++ integration with Qt
 libpython2.7-dev:amd64 Header files and a static library for Python (v2.7)
 freerdp-x11 RDP client for Windows Terminal Services
 apache2 Apache HTTP Server
 python2.7-dev Header files and a static library for Python (v2.7)
 libavahi-common-data:amd64 Avahi common data files
 python-six-whl Python 2 and 3 compatibility library (universal wheel)
 openvpn virtual private network daemon
 libldb1:amd64 LDAP-like embedded database - shared library
 libruby1.9.1 Libraries necessary to run Ruby 1.9.1
 libc6-dev-i386 Embedded GNU C Library: 32-bit development libraries for
 python-urllib3-whl HTTP library with thread-safe connection pooling
 virtualbox-qt x86 virtualization solution - Qt based user interface
 python3-wheel built-package format for Python
 libfreexl1:amd64 library for direct reading of Microsoft Excel spreadsheet
 libx11-6:amd64 X11 client-side library
 libx11-6:i386 X11 client-side library
 libjasper1:amd64 JasPer JPEG-2000 runtime library
 libruby1.9.1-dbg Debugging symbols for Ruby 1.9.1
 libopencv-contrib2.4:amd64 computer vision contrib library
 libkresources4 KDE Resource framework library
 libakonadi-notes4 library for using the Akonadi PIM data server
 libkdepimdbusinterfaces4 KDE PIM D-Bus interfaces library
 libkxmlrpcclient4 simple XML-RPC client library
 libpolkit-backend-1-0:amd64 PolicyKit backend API
 libkpimidentities4 library for managing user identities
 postgresql object-relational SQL database (supported version)
 libssh-4:amd64 tiny C SSH library
 libglib2.0-bin Programs for the GLib library
 libreoffice-presentation-minimizer transitional package for the LibreOffice pr
 libgroupsock1 multimedia RTSP streaming library (network interfaces and
 libkmanagesieve4 Sieve script remote management library
 libzmq3:amd64 lightweight messaging kernel (shared library)
 libavahi-common3:amd64 Avahi common library
 libplist1:amd64 Library for handling Apple binary and XML property lists
 libgnutls28:amd64 GNU TLS library - main runtime library
 libkimap4 library for handling IMAP data
 libkcalutils4 library with utility functions for the handling of calend
 python3-distupgrade manage release upgrades
 poppler-utils PDF utilities (based on Poppler)
 postgresql-9.3 object-relational SQL database, version 9.3 server
 libmailimporter4 mailimporter library
 grub-pc GRand Unified Bootloader, version 2 (PC/BIOS version)
 libtcltk-ruby1.9.1 Tcl/Tk interface for Ruby 1.9.1
 libmailtransport4 mail transport service library
 ubuntu-desktop The Ubuntu desktop system
 phpmyadmin MySQL web administration tool
 libxml2-dev:amd64 Development files for the GNOME XML library
 libboost-regex1.54.0:amd64 regular expression library for C++
 libopencv-calib3d2.4:amd64 computer vision Camera Calibration library
 python3-pyqt5.qtsvg Python 3 bindings for Qt5's SVG module
 python3-apport Python 3 library for Apport crash report handling
 p7zip-full 7z and 7za file archivers with high compression ratio
 pidgin graphical multi-protocol instant messaging client for X
 python-twisted-core Event-based framework for internet applications
 libopencv-legacy2.4:amd64 computer vision legacy library
 gdebi simple tool to install deb files - GNOME GUI
 cups-daemon Common UNIX Printing System(tm) - daemon
 libkdepim4 KDE PIM library
 libedata-book-1.2-20 Backend library for evolution address books
 samba-common-bin Samba common files used by both the server and the client
 ruby1.9.1-dev Header files for compiling extension modules for the Ruby
 busybox-initramfs Standalone shell setup for initramfs
 ghostscript interpreter for the PostScript language and for PDF
 python-crypto cryptographic algorithms and protocols for Python
 libopenthreads14 Object-Oriented (OO) thread interface for C++, shared lib
 lightdm Display Manager
 libx11-dev:amd64 X11 client-side library (development headers)
 libreoffice-avmedia-backend-gstreamer GStreamer backend for LibreOffice
 xtrans-dev X transport library (development files)
 openjdk-7-jre:amd64 OpenJDK Java runtime, using Hotspot JIT
 libgettextpo-dev:amd64 GNU Internationalization library development files
 fonts-opensymbol OpenSymbol TrueType font
 libopencv-features2d2.4:amd64 computer vision Feature Detection and Descriptor Extra
 libkcal4 library for handling calendar data
 screen-resolution-extra Extension for the GNOME screen resolution applet
 libxkbcommon0:amd64 library interface to the XKB compiler - shared library
 libbind9-90 BIND9 Shared Library used by BIND
 xserver-xorg-video-intel X.Org X server -- Intel i8xx, i9xx display driver
 libdns100 DNS Shared Library used by BIND
 perl Larry Wall's Practical Extraction and Report Language
 cups-bsd Common UNIX Printing System(tm) - BSD commands
 libkpimutils4 library for dealing with email addresses
 python3-problem-report Python 3 library to handle problem reports
 libreoffice-ogltrans LibreOffice Impress extension for transitions using OpenG
 postgresql-common PostgreSQL database-cluster manager
 libcaca0:amd64 colour ASCII art library
 mariadb-common MariaDB common metapackage
 chromium-codecs-ffmpeg-extra Extra ffmpeg codecs for the Chromium Browser
 libcupscgi1:amd64 Common UNIX Printing System(tm) - CGI library
 python3-six Python 2 and 3 compatibility library (Python 3 interface)
 gnome-desktop3-data Common files for GNOME desktop apps
 python-apt-common Python interface to libapt-pkg (locales)
 libjbig2dec0 JBIG2 decoder library - shared libraries
 libx11-xcb1:amd64 Xlib/XCB interface library
 libvorbis0a:amd64 The Vorbis General Audio Compression Codec (Decoder libra
 xul-ext-ubufox Ubuntu modifications for Firefox
 shotwell-common digital photo organizer - common files
 chromium-browser-l10n chromium-browser language packages
 gstreamer1.0-plugins-bad:amd64 GStreamer plugins from the "bad" set
 akregator RSS/Atom feed aggregator
 zlib1g-dev:amd64 compression library - development
 python-requests-whl elegant and simple HTTP library for Python, built for hum
 libpython3.4-stdlib:amd64 Interactive high-level object-oriented language (standard
 libxkbcommon-x11-0:amd64 library to create keymaps with the XKB X11 protocol
 libexiv2-12 EXIF/IPTC metadata manipulation library
 libebook-1.2-14 Client library for evolution address books
 libavahi-client3:amd64 Avahi client library
 libc6-x32 Embedded GNU C Library: X32 ABI Shared libraries for AMD6
 php5-cli command-line interpreter for the php5 scripting language
 linux-firmware Firmware for Linux kernel drivers
 libpoppler44:amd64 PDF rendering library
 libapache2-mod-php5 server-side, HTML-embedded scripting language (Apache 2 m
 libldap-2.4-2:amd64 OpenLDAP libraries
 libnss3:amd64 Network Security Service libraries
 libhdf5-7:amd64 Hierarchical Data Format 5 (HDF5) - runtime files - seria
 python3-html5lib HTML parser/tokenizer based on the WHATWG HTML5 specifica
 libakonadi-kmime4 library for using the Akonadi PIM data server
 xserver-xorg-input-all X.Org X server -- input driver metapackage
 imagemagick image manipulation programs
 gir1.2-gdkpixbuf-2.0 GDK Pixbuf library - GObject-Introspection
 jq lightweight and flexible command-line JSON processor
 python-libxml2 Python bindings for the GNOME XML library
 libvlccore7 base library for VLC and its modules
 python-apt Python interface to libapt-pkg
 libfreerdp-plugins-standard:amd64 RDP client for Windows Terminal Services (plugins)
 quassel KDE/Qt-based IRC client
 libreoffice-gtk office productivity suite -- GTK+ integration
 libcupsppdc1:amd64 Common UNIX Printing System(tm) - PPD manipulation librar
 libopencv-imgproc2.4:amd64 computer vision Image Processing library
 libx11-data X11 client-side library
 libreoffice-style-oxygen office productivity suite -- Oxygen symbol style
 libpython2.7-stdlib:amd64 Interactive high-level object-oriented language (standard
 openssh-client secure shell (SSH) client, for secure access to remote ma
 ntpdate client for setting system time from NTP servers
 libsnmp30:amd64 SNMP (Simple Network Management Protocol) library
 python3-pip alternative Python package installer - Python 3 version o
 vlc multimedia player and streamer
 mariadb-client-core-5.5 MariaDB database core client binaries
 php5 server-side, HTML-embedded scripting language (metapackag
 firefox-locale-en English language pack for Firefox
 grub2-common GRand Unified Bootloader (common files for version 2)
 libpng12-0:amd64 PNG library - runtime
 libpng12-0:i386 PNG library - runtime
 libfontembed1:amd64 OpenPrinting CUPS Filters - Font Embed Shared library
 apt-utils package management related utility programs
 vlc-plugin-notify LibNotify plugin for VLC
 udev /dev/ and hotplug management daemon
 libreoffice-base-drivers Database connectvity drivers for LibreOffice
 python-twisted-mail SMTP, IMAP and POP protocol implementation
 python-twisted-news NNTP protocol implementation with client and server
 php5-readline Readline module for php5
 postgresql-contrib-9.3 additional facilities for PostgreSQL
 libpixman-1-0:amd64 pixel-manipulation library for X and cairo
 python3-yaml YAML parser and emitter for Python3
 libraw9:amd64 raw image decoder library
 libisc95 ISC Shared Library used by BIND
 cups-browsed OpenPrinting CUPS Filters - cups-browsed
 python-wheel built-package format for Python
 quassel-data distributed, KDE/Qt-based IRC client - data files
 libapparmor-perl AppArmor library Perl bindings
 liblouis-data Braille translation library - data
 libxcursor1:amd64 X cursor management library
 update-manager GNOME application that manages apt updates
 libksieve4 Sieve, the mail filtering language, library
 libusageenvironment1 multimedia RTSP streaming library (UsageEnvironment class
 avahi-daemon Avahi mDNS/DNS-SD daemon
 libisccfg90 Config File Handling Library used by BIND
 libreoffice-draw office productivity suite -- drawing
 ubuntu-minimal Minimal core of Ubuntu
 apparmor user-space parser utility for AppArmor
 libmad0:amd64 MPEG audio decoder library
 libopencv-core2.4:amd64 computer vision core library
 rsyslog reliable system and kernel logging daemon
 gnupg-agent GNU privacy guard - password agent
 libkabc4 library for handling address book data
 apport automatically generate crash reports for debugging
 libreoffice-calc office productivity suite -- spreadsheet
 isc-dhcp-client ISC DHCP client
 ca-certificates Common CA certificates
 libreoffice-core office productivity suite -- arch-dependent files
 update-notifier-common Files shared between update-notifier and other packages
 tor-geoipdb GeoIP database for Tor
 python3-urllib3 HTTP library with thread-safe connection pooling for Pyth
 libkalarmcal2 library for handling kalarm calendar data
 libglib2.0-dev Development files for the GLib library
 libx11-doc X11 client-side library (development documentation)
 libapparmor1:amd64 changehat AppArmor library
 libglib2.0-0:amd64 GLib library of C routines
 libecal-1.2-16 Client library for evolution calendars
 libglib2.0-doc Documentation files for the GLib library
 libgnome-desktop-3-7 Utility library for loading .desktop files - runtime file
 gstreamer0.10-plugins-ugly-doc GStreamer documentation for plugins from the "u
 policykit-1 framework for managing administrative policies and privil
 python-twisted-names DNS protocol implementation with client and server
 libcupsimage2:amd64 Common UNIX Printing System(tm) - Raster image library
 cups Common UNIX Printing System(tm) - PPD/driver support, web
 libkrb5-3:amd64 MIT Kerberos runtime libraries
 libpython2.7-minimal:amd64 Minimal subset of the Python language (version 2.7)
 libssh2-1:amd64 SSH2 client-side library

Manfred Hampl (m-hampl) said : #16

What a mess ...

Try:

sudo dpkg --configure -a

then close the terminal window and open another one and issue the commands

sudo dpkg --configure -a
sudo rm -v /var/lib/dpkg/info/tor.prerm
sudo apt-get install -f

and copy/paste the output of the second part into the question document that we can see.

arun (arunwebber) said : #17

The system got shutdown I was not able to login then went into powershell and excicuted the commands tor has asked me to allow repo from publisher given Yes and came back Now I am able to login to the system and this is what I get now when I am excicuting thease commands.

➜ ~ sudo dpkg --configure -a
➜ ~ sudo rm -v /var/lib/dpkg/info/tor.prerm
removed ‘/var/lib/dpkg/info/tor.prerm’
➜ ~ sudo apt-get install -f
Reading package lists... 0%
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.

Manfred Hampl (m-hampl) said : #18

ok, this looks quite good again.

For diagnostic purposes please run these commands and copy/paste the output:

uname -a
lsb_release -crid
apt-cache policy firefox thunderbird thunderbird-gnome-support firefox-locale-en
sudo apt-get update
sudo apt-get dist-upgrade

arun (arunwebber) said : #19

➜ ~ uname -a
Linux holla 3.13.0-85-generic #129-Ubuntu SMP Thu Mar 17 20:50:15 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
➜ ~ lsb_release -crid
Distributor ID: Ubuntu
Description: Ubuntu 14.04.6 LTS
Release: 14.04
Codename: trusty
➜ ~ apt-cache policy firefox thunderbird thunderbird-gnome-support firefox-locale-en
firefox:
  Installed: 28.0+build2-0ubuntu2
  Candidate: 84.0.2+build1-0ubuntu0.18.04.1
  Version table:
     84.0.2+build1-0ubuntu0.18.04.1 0
        500 http://ppa.launchpad.net/ubuntu-mozilla-security/ppa/ubuntu/ bionic/main amd64 Packages
     66.0.3+build1-0ubuntu0.14.04.1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
 *** 28.0+build2-0ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status
thunderbird:
  Installed: 1:52.1.1+build1-0ubuntu0.14.04.1
  Candidate: 1:68.12.0+build1-0ubuntu0.18.04.1
  Version table:
     1:68.12.0+build1-0ubuntu0.18.04.1 0
        500 http://ppa.launchpad.net/ubuntu-mozilla-security/ppa/ubuntu/ bionic/main amd64 Packages
     1:60.6.1+build2-0ubuntu0.14.04.1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
 *** 1:52.1.1+build1-0ubuntu0.14.04.1 0
        100 /var/lib/dpkg/status
     1:24.4.0+build1-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
thunderbird-gnome-support:
  Installed: 1:52.1.1+build1-0ubuntu0.14.04.1
  Candidate: 1:68.12.0+build1-0ubuntu0.18.04.1
  Version table:
     1:68.12.0+build1-0ubuntu0.18.04.1 0
        500 http://ppa.launchpad.net/ubuntu-mozilla-security/ppa/ubuntu/ bionic/main amd64 Packages
     1:60.6.1+build2-0ubuntu0.14.04.1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
 *** 1:52.1.1+build1-0ubuntu0.14.04.1 0
        100 /var/lib/dpkg/status
     1:24.4.0+build1-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
firefox-locale-en:
  Installed: 84.0.2+build1-0ubuntu0.18.04.1
  Candidate: 84.0.2+build1-0ubuntu0.18.04.1
  Version table:
 *** 84.0.2+build1-0ubuntu0.18.04.1 0
        500 http://ppa.launchpad.net/ubuntu-mozilla-security/ppa/ubuntu/ bionic/main amd64 Packages
        100 /var/lib/dpkg/status
     66.0.3+build1-0ubuntu0.14.04.1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
     28.0+build2-0ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
➜ ~
➜ Desktop sudo apt-get update
Hit http://dl.google.com stable InRelease
Hit https://download.docker.com trusty InRelease
Hit https://brave-browser-apt-release.s3.brave.com stable InRelease
Ign http://linux.dropbox.com trusty InRelease
Ign http://archive.ubuntu.com trusty InRelease
Hit https://download.docker.com trusty/stable amd64 Packages
Hit https://dl.yarnpkg.com stable InRelease
Hit https://brave-browser-apt-release.s3.brave.com stable/main amd64 Packages
Hit http://deb.playonlinux.com precise InRelease
Ign http://dl.google.com stable InRelease
Hit https://dl.yarnpkg.com stable/main amd64 Packages
Hit http://archive.ubuntu.com trusty-updates InRelease
Hit https://linux.teamviewer.com stable InRelease
Hit http://deb.playonlinux.com precise/main amd64 Packages
Hit https://dl.yarnpkg.com stable/main i386 Packages
Hit https://linux.teamviewer.com stable/main amd64 Packages
Hit http://archive.ubuntu.com trusty Release.gpg
Hit https://linux.teamviewer.com stable/main i386 Packages
Hit http://linux.dropbox.com trusty Release.gpg
Hit http://deb.playonlinux.com precise/main i386 Packages
Get:1 https://download.docker.com trusty/stable Translation-en_IN
Hit http://dl.google.com stable/main amd64 Packages
Hit http://archive.ubuntu.com trusty-updates/restricted amd64 Packages
Hit http://ppa.launchpad.net bionic InRelease
Hit http://linux.dropbox.com trusty Release
Get:2 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:3 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:4 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:5 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:6 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:7 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:8 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:9 https://dl.yarnpkg.com stable/main Translation-en_IN
Hit http://archive.ubuntu.com trusty-updates/main amd64 Packages
Hit http://archive.ubuntu.com trusty-updates/multiverse amd64 Packages
Get:10 https://linux.teamviewer.com stable/main Translation-en_IN
Hit http://linux.dropbox.com trusty/main amd64 Packages
Get:11 https://dl.yarnpkg.com stable/main Translation-en
Get:12 https://dl.yarnpkg.com stable/main Translation-en
Get:13 https://dl.yarnpkg.com stable/main Translation-en
Get:14 https://dl.yarnpkg.com stable/main Translation-en
Ign http://ppa.launchpad.net trusty InRelease
Get:15 https://dl.yarnpkg.com stable/main Translation-en
Get:16 https://dl.yarnpkg.com stable/main Translation-en
Get:17 https://dl.yarnpkg.com stable/main Translation-en
Get:18 https://dl.yarnpkg.com stable/main Translation-en
Hit http://archive.ubuntu.com trusty-updates/universe amd64 Packages
Get:19 https://linux.teamviewer.com stable/main Translation-en
Get:20 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en_IN
Hit http://linux.dropbox.com trusty/main i386 Packages
Hit http://archive.ubuntu.com trusty-updates/restricted i386 Packages
Ign http://ppa.launchpad.net trusty InRelease
Get:21 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:22 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:23 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:24 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:25 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:26 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:27 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:28 https://dl.yarnpkg.com stable/main Translation-en_IN
Hit http://dl.google.com stable Release.gpg
Hit http://archive.ubuntu.com trusty-updates/main i386 Packages
Hit http://archive.ubuntu.com trusty-updates/multiverse i386 Packages
Hit http://ppa.launchpad.net trusty InRelease
Get:29 https://dl.yarnpkg.com stable/main Translation-en
Get:30 https://dl.yarnpkg.com stable/main Translation-en
Get:31 https://dl.yarnpkg.com stable/main Translation-en
Get:32 https://dl.yarnpkg.com stable/main Translation-en
Get:33 https://dl.yarnpkg.com stable/main Translation-en
Get:34 https://dl.yarnpkg.com stable/main Translation-en
Get:35 https://dl.yarnpkg.com stable/main Translation-en
Get:36 https://dl.yarnpkg.com stable/main Translation-en
Get:37 https://linux.teamviewer.com stable/main Translation-en_IN
Hit http://archive.ubuntu.com trusty-updates/universe i386 Packages
Get:38 https://linux.teamviewer.com stable/main Translation-en
Hit http://archive.ubuntu.com trusty-updates/main Translation-en
Ign http://deb.playonlinux.com precise/main Translation-en_IN
Hit http://ppa.launchpad.net trusty InRelease
Get:39 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:40 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:41 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:42 https://dl.yarnpkg.com stable/main Translation-en_IN
Hit http://archive.ubuntu.com trusty-updates/multiverse Translation-en
Ign http://deb.playonlinux.com precise/main Translation-en
Get:43 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en
Hit https://packagecloud.io jessie InRelease
Hit http://archive.ubuntu.com trusty-updates/restricted Translation-en
Get:44 https://dl.yarnpkg.com stable/main Translation-en
Get:45 https://dl.yarnpkg.com stable/main Translation-en
Get:46 https://dl.yarnpkg.com stable/main Translation-en
Hit http://ppa.launchpad.net trusty InRelease
Hit http://dl.google.com stable Release
Get:47 https://linux.teamviewer.com stable/main Translation-en_IN
Hit http://archive.ubuntu.com trusty-updates/universe Translation-en
Get:48 https://linux.teamviewer.com stable/main Translation-en
Get:49 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:50 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:51 https://dl.yarnpkg.com stable/main Translation-en_IN
Hit http://archive.ubuntu.com trusty Release
Hit http://ppa.launchpad.net trusty InRelease
Ign https://download.docker.com trusty/stable Translation-en_IN
Hit http://archive.ubuntu.com trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty InRelease
Get:52 https://dl.yarnpkg.com stable/main Translation-en
Get:53 https://dl.yarnpkg.com stable/main Translation-en
Get:54 https://dl.yarnpkg.com stable/main Translation-en
Hit http://archive.ubuntu.com trusty/universe amd64 Packages
Get:55 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:56 https://dl.yarnpkg.com stable/main Translation-en_IN
Get:57 https://dl.yarnpkg.com stable/main Translation-en_IN
Ign https://dl.yarnpkg.com stable/main Translation-en_IN
Ign https://download.docker.com trusty/stable Translation-en
Get:58 https://linux.teamviewer.com stable/main Translation-en_IN
Get:59 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en_IN
Hit http://ppa.launchpad.net trusty InRelease
Get:60 https://dl.yarnpkg.com stable/main Translation-en
Get:61 https://dl.yarnpkg.com stable/main Translation-en
Get:62 https://dl.yarnpkg.com stable/main Translation-en
Hit http://archive.ubuntu.com trusty/restricted amd64 Packages
Ign https://dl.yarnpkg.com stable/main Translation-en
Hit http://dl.google.com stable/main amd64 Packages
Hit http://archive.ubuntu.com trusty/multiverse amd64 Packages
Hit https://packagecloud.io jessie/main amd64 Packages
Hit http://ppa.launchpad.net trusty InRelease
Get:63 https://linux.teamviewer.com stable/main Translation-en
Hit http://archive.ubuntu.com trusty/main i386 Packages
Hit http://archive.ubuntu.com trusty/universe i386 Packages
Ign http://ppa.launchpad.net trusty InRelease
Hit http://archive.ubuntu.com trusty/restricted i386 Packages
Hit http://dl.google.com stable/main i386 Packages
Get:64 https://linux.teamviewer.com stable/main Translation-en_IN
Ign https://linux.teamviewer.com stable/main Translation-en_IN
Hit http://archive.ubuntu.com trusty/multiverse i386 Packages
Get:65 https://esm.ubuntu.com trusty-infra-security InRelease
Get:66 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en
Ign http://ppa.launchpad.net raring InRelease
Hit http://archive.ubuntu.com trusty/main Translation-en
Hit http://ppa.launchpad.net trusty InRelease
Get:67 https://linux.teamviewer.com stable/main Translation-en
Ign https://linux.teamviewer.com stable/main Translation-en
Get:68 https://esm.ubuntu.com trusty-infra-updates InRelease
Hit https://packagecloud.io jessie/main i386 Packages
Hit http://archive.ubuntu.com trusty/multiverse Translation-en
Hit http://ppa.launchpad.net trusty InRelease
Get:69 https://packagecloud.io jessie/main Translation-en_IN
Hit https://esm.ubuntu.com trusty-infra-security/main amd64 Packages
Hit http://archive.ubuntu.com trusty/restricted Translation-en
Get:70 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en_IN
Hit http://ppa.launchpad.net trusty InRelease
Hit http://archive.ubuntu.com trusty/universe Translation-en
Hit http://ppa.launchpad.net trusty InRelease
Ign http://ppa.launchpad.net precise InRelease
Hit https://esm.ubuntu.com trusty-infra-security/main i386 Packages
Ign http://linux.dropbox.com trusty/main Translation-en_IN
Hit http://ppa.launchpad.net trusty InRelease
Get:71 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en
Ign http://linux.dropbox.com trusty/main Translation-en
Ign http://dl.google.com stable/main Translation-en_IN
Hit http://ppa.launchpad.net trusty InRelease
Ign http://dl.google.com stable/main Translation-en
Ign https://packagecloud.io jessie/main Translation-en_IN
Hit http://ppa.launchpad.net trusty InRelease
Ign https://packagecloud.io jessie/main Translation-en
Hit http://ppa.launchpad.net trusty InRelease
Get:72 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en_IN
Hit http://ppa.launchpad.net bionic/main amd64 Packages
Ign http://dl.google.com stable/main Translation-en_IN
Ign http://dl.google.com stable/main Translation-en
Hit http://ppa.launchpad.net bionic/main i386 Packages
Ign http://archive.ubuntu.com trusty/main Translation-en_IN
Ign http://archive.ubuntu.com trusty/multiverse Translation-en_IN
Hit http://ppa.launchpad.net bionic/main Translation-en
Ign http://archive.ubuntu.com trusty/restricted Translation-en_IN
Get:73 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en
Ign http://archive.ubuntu.com trusty/universe Translation-en_IN
Hit http://ppa.launchpad.net trusty Release.gpg
Get:74 https://esm.ubuntu.com trusty-infra-security/main Translation-en_IN
Hit http://ppa.launchpad.net trusty Release.gpg
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Get:75 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en_IN
Ign https://brave-browser-apt-release.s3.brave.com stable/main Translation-en_IN
Hit https://esm.ubuntu.com trusty-infra-updates/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit https://esm.ubuntu.com trusty-infra-updates/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Get:76 https://esm.ubuntu.com trusty-infra-updates/main Translation-en_IN
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Get:77 https://brave-browser-apt-release.s3.brave.com stable/main Translation-en
Ign https://brave-browser-apt-release.s3.brave.com stable/main Translation-en
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty Release.gpg
Hit http://ppa.launchpad.net raring Release.gpg
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Ign https://esm.ubuntu.com trusty-infra-security/main Translation-en_IN
Ign https://esm.ubuntu.com trusty-infra-security/main Translation-en
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Ign https://esm.ubuntu.com trusty-infra-updates/main Translation-en_IN
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Ign https://esm.ubuntu.com trusty-infra-updates/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net precise Release.gpg
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty Release
Hit http://ppa.launchpad.net trusty Release
Hit http://ppa.launchpad.net trusty Release
Hit http://ppa.launchpad.net raring Release
Hit http://ppa.launchpad.net precise Release
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net raring/main amd64 Packages
Hit http://ppa.launchpad.net raring/main i386 Packages
Hit http://ppa.launchpad.net precise/main amd64 Packages
Hit http://ppa.launchpad.net precise/main i386 Packages
Ign http://ppa.launchpad.net raring/main Translation-en_IN
Ign http://ppa.launchpad.net raring/main Translation-en
Ign http://ppa.launchpad.net precise/main Translation-en_IN
Ign http://ppa.launchpad.net precise/main Translation-en
Fetched 14.9 kB in 49s (302 B/s)
Reading package lists...

➜ Desktop sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

291 additional updates are available with UA Infrastructure ESM.
To see these additional updates run: apt list --upgradable
See https://ubuntu.com/advantage or run: sudo ua status

With all these PPAs I'm surprised the system works at all.

Manfred Hampl (m-hampl) said : #21

The package management system seems to be in a consistent status again.
Try upgrading to a supported release.

sudo do-release-upgrade

arun (arunwebber) said : #22

Yeah I am going to do that mostly In night as it will take a lot of time.

arun (arunwebber) said : #23

I have successfuly upgraded my system In between I have wen into blank screen problem and this question has heped me to solve that. https://askubuntu.com/questions/777803/apt-relocation-error-version-glibcxx-3-4-21-not-defined-in-file-libstdc-so-6

➜ ~ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.7 LTS
Release: 16.04
Codename: xenial

Manfred Hampl (m-hampl) said : #24

What is the current status?
Is everything working as desired?

Are there any warning messages for "sudo apt update" and/or "sudo apt upgrade"?

Ubuntu 16.04 is supported, but only for three more months (until April 2021).
You should do another release upgrade to at least Ubuntu 18.04 (probably better 20.04) in due course.

arun (arunwebber) said : #25

Everything is working as expected.

Desktop sudo apt upgrade
Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

Desktop sudo apt update

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

Hit:1 http://archive.ubuntu.com/ubuntu xenial InRelease
Get:2 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB]
Fetched 109 kB in 1s (57.4 kB/s)
Reading package lists...
Building dependency tree...
Reading state information...
All packages are up to date.

Ok try something like:

sudo apt-get --reinstall install firefox

Does this install OK?

arun (arunwebber) said : #27

➜ Desktop sudo apt-get --reinstall install firefox
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
Need to get 0 B/56.9 MB of archives.
After this operation, 0 B of additional disk space will be used.
(Reading database ... 499694 files and directories currently installed.)
Preparing to unpack .../firefox_84.0.2+build1-0ubuntu0.16.04.1_amd64.deb ...
Unpacking firefox (84.0.2+build1-0ubuntu0.16.04.1) over (84.0.2+build1-0ubuntu0.16.04.1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1.1) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5.2) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20180209-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for man-db (2.7.5-1) ...
Setting up firefox (84.0.2+build1-0ubuntu0.16.04.1) ...
Please restart all running instances of firefox, or you will experience problems

On looking good. Install packages etc as you need. All OK now?

arun (arunwebber) said : #29

Thanks all my problem is solved now.